Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011979
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2010-01-15 15:232010-03-10 18:28
ReportericiordiaView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version2.50MP12
StatusclosedFix in branchpiFixed in SCM revisionc447fba6b715
ProjectionnoneETAnoneTarget Version2.50MP12
OSAnyDatabaseAnyJava versionany
OS VersionanyDatabase versionanyAnt versionany
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011979: In Openbravo login page, users using a not-supported browser get a warning

DescriptionOpenbravo login page should pop-up a warning when the browser is not officially supported. Supported browsers are IE7, IE8, FF3.x.

The warning should be something like "Your browser is not officially supported. Openbravo has not been tested on your browser. You can continue at your own risk or use a supported browser (IE7 and higher, FF3.0 and higher)"
TagsNo tags attached.
Attached Filespng file icon ChromeExample.png [^] (92,019 bytes) 2010-02-17 00:50


png file icon win32-opera.png [^] (88,328 bytes) 2010-02-17 18:02

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0012327 closeddbaz Unsupported browser message should be translatable. 

-  Notes
(0024455)
dbaz (developer)
2010-02-17 00:51

Attached ChromeExample.png to see the final result when running, for example, Google Chrome 4.0.249.78
(0024456)
hgbot (developer)
2010-02-17 00:52

Repository: erp/devel/pi
Changeset: ab0bf0e61a2b87b630fdd46cbc2c3bc624d633f3
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Feb 17 00:50:20 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ab0bf0e61a2b87b630fdd46cbc2c3bc624d633f3 [^]

Fixed issue 11979: Added message in Login_F1.html to check supported browser

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
---
(0024457)
hgbot (developer)
2010-02-17 01:42

Repository: erp/devel/pi
Changeset: bcf6fd2138cf2171a01ff3a75ce4b8f09c6b7514
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Feb 17 01:40:02 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bcf6fd2138cf2171a01ff3a75ce4b8f09c6b7514 [^]

Related to issue 11979: Changed alert order

---
M src/org/openbravo/erpCommon/security/Login_F1.html
---
(0024483)
hgbot (developer)
2010-02-17 12:20

Repository: erp/devel/pi
Changeset: c447fba6b715a21554e0c0982b31e4decb0810db
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Feb 17 12:17:55 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c447fba6b715a21554e0c0982b31e4decb0810db [^]

Related to issue 11979: Changed alert text

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
---
(0024508)
iperdomo (developer)
2010-02-17 18:01

The wiki documentation states that we support Firefox 2.0+ browser [1]. The fix was made to prompt a message if not using Firefox 3.0+ [2]. Either change fix the documentation or the detection script.

[1] http://wiki.openbravo.com/wiki/ERP/2.50/System_Requirements [^]
[2] http://browsershots.org/screenshots/6876cfad825746eb9757a33bd75a45a0/ [^]
(0024511)
dbaz (developer)
2010-02-17 19:17

Wiki changed
(0024549)
hudsonbot (developer)
2010-02-18 00:31

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/ab0bf0e61a2b [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]
(0024550)
hudsonbot (developer)
2010-02-18 00:31

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/bcf6fd2138cf [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]
(0024570)
iperdomo (developer)
2010-02-18 10:25

Tested on pi @ rev a3591dda3f70
(0024653)
hudsonbot (developer)
2010-02-19 16:35

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/c447fba6b715 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/d22bdcc83354 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16481.obx [^]

- Issue History
Date Modified Username Field Change
2010-01-15 15:23 iciordia New Issue
2010-01-15 15:23 iciordia Assigned To => dbaz
2010-01-15 15:24 iciordia Status new => scheduled
2010-01-15 15:24 iciordia fix_in_branch => pi
2010-02-17 00:50 dbaz File Added: ChromeExample.png
2010-02-17 00:51 dbaz Note Added: 0024455
2010-02-17 00:52 hgbot Checkin
2010-02-17 00:52 hgbot Note Added: 0024456
2010-02-17 00:52 hgbot Status scheduled => resolved
2010-02-17 00:52 hgbot Resolution open => fixed
2010-02-17 00:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ab0bf0e61a2b87b630fdd46cbc2c3bc624d633f3 [^]
2010-02-17 01:42 hgbot Checkin
2010-02-17 01:42 hgbot Note Added: 0024457
2010-02-17 01:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/ab0bf0e61a2b87b630fdd46cbc2c3bc624d633f3 [^] => http://code.openbravo.com/erp/devel/pi/rev/bcf6fd2138cf2171a01ff3a75ce4b8f09c6b7514 [^]
2010-02-17 12:20 hgbot Checkin
2010-02-17 12:20 hgbot Note Added: 0024483
2010-02-17 12:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/bcf6fd2138cf2171a01ff3a75ce4b8f09c6b7514 [^] => http://code.openbravo.com/erp/devel/pi/rev/c447fba6b715a21554e0c0982b31e4decb0810db [^]
2010-02-17 18:01 iperdomo Note Added: 0024508
2010-02-17 18:01 iperdomo Status resolved => new
2010-02-17 18:01 iperdomo Resolution fixed => open
2010-02-17 18:02 iperdomo File Added: win32-opera.png
2010-02-17 18:07 iperdomo Relationship added related to 0012327
2010-02-17 19:17 dbaz Note Added: 0024511
2010-02-17 19:17 dbaz Status new => acknowledged
2010-02-17 19:18 dbaz Status acknowledged => scheduled
2010-02-17 19:18 dbaz Status scheduled => resolved
2010-02-17 19:18 dbaz Resolution open => fixed
2010-02-18 00:31 hudsonbot Checkin
2010-02-18 00:31 hudsonbot Note Added: 0024549
2010-02-18 00:31 hudsonbot Checkin
2010-02-18 00:31 hudsonbot Note Added: 0024550
2010-02-18 10:25 iperdomo Note Added: 0024570
2010-02-18 10:25 iperdomo Status resolved => closed
2010-02-18 10:25 iperdomo Fixed in Version => 2.50MP12
2010-02-19 00:01 anonymous sf_bug_id 0 =>
2010-02-19 16:35 hudsonbot Checkin
2010-02-19 16:35 hudsonbot Note Added: 0024653
2010-03-10 18:28 anonymous sf_bug_id => 2967980


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker